"use strict";

// A thing in a hole in a wall for some reason
var GO_Panties = function(){
	this.sprite = new Sprite(GO_Panties.spriteSheet,"Panties");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,15,15);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "Panties";

	this.checks = 0;
};
GO_Panties.spriteImg = null;//SDS_Load_Image("art/sheets/sprite/Panties.png");
GO_Panties.spriteSheet = null;//new TileSheet(5, 4, 0, 0, GO_Panties.spriteImg);

GO_Panties.prototype = new GameObject(
	new Sprite(
		GO_Panties.spriteSheet,
		"Panties"
	),
	"Panties"
	);

	GO_Panties.prototype.interactions = DEFINE_GAMEOBJECT_INTERACTIONS.CHECK;

	GO_Panties.prototype.Update = function(){

	};

	GO_Panties.prototype.checkEvent = function(sourceGO){
		++this.checks;
		this.checks = Math.min(this.checks,2);
		return "GD_Lab_Panties"+this.checks;
	};
